audio2tape(1)

NAME
audio2tape — Sinclair ZX Spectrum audio to tape file converter

SYNOPSIS
audio2tape [-t type] [-s] [-r] [-k] [-z level] [-c level] infile outfile

DESCRIPTION
audio2tape converts audio files to ZX Spectrum tape images.

OPTIONS

-t type
    causes type to be used as the level detection trigger. There are two triggers implemented; the simple trigger just uses a threshold value to convert to a one or zero on output, and the schmitt trigger implements a Schmitt trigger which outputs a less noisy signal, but requires a stronger signal to noise ratio than the simple trigger. The default trigger is “schmitt”.

-s  causes the display of a frequency graph showing the sound levels present in the audio file. This can be useful when selecting good crossover points.

-r  causes any ROM blocks that are recognised to use idealised timing figures rather than the exact ones found in the audio file.

-k  causes the tape file that is produced to keep any audio data from the original audio file that isn't recognised. This will allow unsupported loading schemes, encryption tones etc. to be preserved in the file that is produced.

-z level
    causes level to be used as the zero point in the supplied audio file, it allows adjustment for a DC offset in the audio file. The default level is 127 from a range of 0–255.

-c level
    causes level to be used as the Schmitt trigger noise threshold, this reduces the sensitivity to noise in the provided file. The default level is 8 from a range of 0–127.

-h, --help
    give brief usage help, listing available options.

-V, --version
    output version information.

infile
    specifies the audio file to be converted. This file can be in any of the sound formats supported by libaudiofile.

outfile
    specifies the output tape file. The format will be determined by the file extension and can be in any of the formats libspectrum(3) supports for output.

BUGS
None known.

SEE ALSO
fuse(1), fuse-utils(1), libspectrum(3), listbasic(1), tapeconv(1), tzxlist(1), snap2tzx(1), tape2pulses(1) tape2wav(1)

The comp.sys.sinclair Spectrum FAQ, at
http://www.worldofspectrum.org/faq/index.html.

AUTHOR
Fredrick Meunier (fredm@spamcop.net).